Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class CubicCurve2D.Double

    java.lang.Object
      |
      +--java.awt.geom.CubicCurve2D
            |
            +--java.awt.geom.CubicCurve2D.Double

All Implemented Interfaces:
  Cloneable, Shape

Enclosing class:
  CubicCurve2D

public static class CubicCurve2D.Double
extends CubicCurve2D

A cubic parametric curve segment specified with double coordinates.

Inner classes inherited from class java.awt.geom.CubicCurve2D
`CubicCurve2D.Double, CubicCurve2D.Float`

Field Summary
`double` | `ctrlx1` The X coordinate of the first control point of the cubic curve segment.
`double` | `ctrlx2` The X coordinate of the second control point of the cubic curve segment.
`double` | `ctrly1` The Y coordinate of the first control point of the cubic curve segment.
`double` | `ctrly2` The Y coordinate of the second control point of the cubic curve segment.
`double` | `x1` The X coordinate of the start point of the cubic curve segment.
`double` | `x2` The X coordinate of the end point of the cubic curve segment.
`double` | `y1` The Y coordinate of the start point of the cubic curve segment.
`double` | `y2` The Y coordinate of the end point of the cubic curve segment.

Constructor Summary
`CubicCurve2D.Double()` Constructs and initializes a CubicCurve with coordinates (0, 0, 0, 0, 0, 0).
`CubicCurve2D.Double(double x1, double y1, double ctrlx1, double ctrly1, double ctrlx2, double ctrly2, double x2, double y2)` Constructs and initializes a `CubicCurve2D` from the specified coordinates.

Method Summary
`Rectangle2D` | `getBounds2D()` Returns the bounding box of the shape.
`Point2D` | `getCtrlP1()` Returns the first control point.
`Point2D` | `getCtrlP2()` Returns the second control point.
`double` | `getCtrlX1()` Returns the X coordinate of the first control point in double precision.
`double` | `getCtrlX2()` Returns the X coordinate of the second control point in double precision.
`double` | `getCtrlY1()` Returns the Y coordinate of the first control point in double precision.
`double` | `getCtrlY2()` Returns the Y coordinate of the second control point in double precision.
`Point2D` | `getP1()` Returns the start point.
`Point2D` | `getP2()` Returns the end point.
`double` | `getX1()` Returns the X coordinate of the start point in double precision.
`double` | `getX2()` Returns the X coordinate of the end point in double precision.
`double` | `getY1()` Returns the Y coordinate of the start point in double precision.
`double` | `getY2()` Returns the Y coordinate of the end point in double precision.
`void` | `setCurve(double x1, double y1, double ctrlx1, double ctrly1, double ctrlx2, double ctrly2, double x2, double y2)` Sets the location of the endpoints and controlpoints of this curve to the specified double coordinates.

Methods inherited from class java.awt.geom.CubicCurve2D
`clone, contains, contains, contains, contains, getBounds, getFlatness, getFlatness, getFlatness, getFlatnessSq, getFlatnessSq, getFlatnessSq, getPathIterator, getPathIterator, intersects, intersects, setCurve, setCurve, setCurve, setCurve, solveCubic, solveCubic, subdivide, subdivide, subdivide`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x1

    public double x1

  The X coordinate of the start point of the cubic curve segment.

### y1

    public double y1

  The Y coordinate of the start point of the cubic curve segment.

### ctrlx1

    public double ctrlx1

  The X coordinate of the first control point of the cubic curve segment.

### ctrly1

    public double ctrly1

  The Y coordinate of the first control point of the cubic curve segment.

### ctrlx2

    public double ctrlx2

  The X coordinate of the second control point of the cubic curve segment.

### ctrly2

    public double ctrly2

  The Y coordinate of the second control point of the cubic curve segment.

### x2

    public double x2

  The X coordinate of the end point of the cubic curve segment.

### y2

    public double y2

  The Y coordinate of the end point of the cubic curve segment.

Constructor Detail

### CubicCurve2D.Double

    public CubicCurve2D.Double()

  Constructs and initializes a CubicCurve with coordinates (0, 0, 0, 0, 0, 0).

### CubicCurve2D.Double

    public CubicCurve2D.Double(double x1,
                               double y1,
                               double ctrlx1,
                               double ctrly1,
                               double ctrlx2,
                               double ctrly2,
                               double x2,
                               double y2)

  Constructs and initializes a `CubicCurve2D` from the specified coordinates.
  Parameters:
    `x1, y1` - the first specified coordinates for the start point of the resulting `CubicCurve2D`
    `ctrlx1, ctrly1` - the second specified coordinates for the first control point of the resulting `CubicCurve2D`
    `ctrlx2, ctrly2` - the third specified coordinates for the second control point of the resulting `CubicCurve2D`
    `x2, y2` - the fourth specified coordinates for the end point of the resulting `CubicCurve2D`

Method Detail

### getX1

    public double getX1()

  Returns the X coordinate of the start point in double precision.
  Overrides:
    `getX1` in class `CubicCurve2D`
  Returns:
    the X coordinate of the first control point of the `CubicCurve2D`.

### getY1

    public double getY1()

  Returns the Y coordinate of the start point in double precision.
  Overrides:
    `getY1` in class `CubicCurve2D`
  Returns:
    the Y coordinate of the start point of the `CubicCurve2D`.

### getP1

    public Point2D getP1()

  Returns the start point.
  Overrides:
    `getP1` in class `CubicCurve2D`
  Returns:
    a `Point2D` that is the start point of the `CubicCurve2D`.

### getCtrlX1

    public double getCtrlX1()

  Returns the X coordinate of the first control point in double precision.
  Overrides:
    `getCtrlX1` in class `CubicCurve2D`
  Returns:
    the X coordinate of the first control point of the `CubicCurve2D`.

### getCtrlY1

    public double getCtrlY1()

  Returns the Y coordinate of the first control point in double precision.
  Overrides:
    `getCtrlY1` in class `CubicCurve2D`
  Returns:
    the Y coordinate of the first control point of the `CubicCurve2D`.

### getCtrlP1

    public Point2D getCtrlP1()

  Returns the first control point.
  Overrides:
    `getCtrlP1` in class `CubicCurve2D`
  Returns:
    a `Point2D` that is the first control point of the `CubicCurve2D`.

### getCtrlX2

    public double getCtrlX2()

  Returns the X coordinate of the second control point in double precision.
  Overrides:
    `getCtrlX2` in class `CubicCurve2D`
  Returns:
    the X coordinate of the second control point of the `CubicCurve2D`.

### getCtrlY2

    public double getCtrlY2()

  Returns the Y coordinate of the second control point in double precision.
  Overrides:
    `getCtrlY2` in class `CubicCurve2D`
  Returns:
    the Y coordinate of the second control point of the `CubicCurve2D`.

### getCtrlP2

    public Point2D getCtrlP2()

  Returns the second control point.
  Overrides:
    `getCtrlP2` in class `CubicCurve2D`
  Returns:
    a `Point2D` that is the second control point of the `CubicCurve2D`.

### getX2

    public double getX2()

  Returns the X coordinate of the end point in double precision.
  Overrides:
    `getX2` in class `CubicCurve2D`
  Returns:
    the X coordinate of the end point of the `CubicCurve2D`.

### getY2

    public double getY2()

  Returns the Y coordinate of the end point in double precision.
  Overrides:
    `getY2` in class `CubicCurve2D`
  Returns:
    the Y coordinate of the end point of the `CubicCurve2D`.

### getP2

    public Point2D getP2()

  Returns the end point.
  Overrides:
    `getP2` in class `CubicCurve2D`
  Returns:
    a `Point2D` that is the end point of the `CubicCurve2D`.

### setCurve

    public void setCurve(double x1,
                         double y1,
                         double ctrlx1,
                         double ctrly1,
                         double ctrlx2,
                         double ctrly2,
                         double x2,
                         double y2)

  Sets the location of the endpoints and controlpoints of this curve to the specified double coordinates.
  Overrides:
    `setCurve` in class `CubicCurve2D`
  Parameters:
    `x1, y1` - the first specified coordinates used to set the start point of this `CubicCurve2D`
    `ctrlx1, ctrly1` - the second specified coordinates used to set the first control point of this `CubicCurve2D`
    `ctrlx2, ctrly2` - the third specified coordinates used to set the second control point of this `CubicCurve2D`
    `x2, y2` - the fourth specified coordinates used to set the end point of this `CubicCurve2D`

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the bounding box of the shape.
  Returns:
    a `Rectangle2D` that is the bounding box of the shape.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.